Skip to content

cluster / backup ​

6 operations.

GET /cluster/backup ​

ts
proxmox.cluster.backup.$get()

List vzdump backup schedule.

Returns an array of object.

POST /cluster/backup ​

ts
proxmox.cluster.backup.$post()

Create new vzdump backup job.

Returns nothing.

ParameterTypeRequiredNotes
allbooleanBackup all known guest systems on this host. — default 0
bwlimitnumberLimit I/O bandwidth (in KiB/s). — min 0, default 0
commentstringDescription for the Job. — ≤ 512 chars
compress0 | 1 | gzip | lzo | zstdCompress dump file. — default "0"
dowstringDeprecated: Use 'schedule' instead. Day of week selection. 'starttime' and 'dow' will be converted into 'schedule' if used. — format pve-day-of-week-list, default "mon,tue,wed,thu,fri,sat,sun"
dumpdirstringStore resulting files to specified directory.
enabledbooleanEnable or disable the job. — default "1"
excludestringExclude specified guest systems (assumes --all) — format pve-vmid-list
exclude-pathstring[]Exclude certain files/directories (shell globs). Paths starting with '/' are anchored to the container's root, other paths match relative to each subdirectory.
fleecingstringOptions for backup fleecing (VM only). — format backup-fleecing
idstringJob ID (will be autogenerated). — format pve-configid
ionicenumberSet IO priority when using the BFQ scheduler. For snapshot and suspend mode backups of VMs, this only affects the compressor. A value of 8 means the idle priority is used, otherwise the best-effort priority is used with the specified value. — min 0, max 8, default 7
lockwaitnumberMaximal time to wait for the global lock (minutes). — min 0, default 180
mailnotificationalways | failureDeprecated: use notification targets/matchers instead. Specify when to send a notification mail — default "always"
mailtostringDeprecated: Use notification targets/matchers instead. Comma-separated list of email addresses or users that should receive email notifications. — format email-or-username-list
modesnapshot | suspend | stopBackup mode. — default "snapshot"
nodestringOnly run if executed on this node. — format pve-node
notes-templatestringTemplate string for generating notes for the backup(s). It can contain variables which will be replaced by their values. Currently supported are {{cluster}}, {{guestname}}, {{node}}, and {{vmid}}, but more might be added in the future. Needs to be a single line, newline and backslash need to be escaped as '\n' and '\' respectively. — ≤ 1024 chars
notification-modeauto | legacy-sendmail | notification-systemDetermine which notification system to use. If set to 'legacy-sendmail', vzdump will consider the mailto/mailnotification parameters and send emails to the specified address(es) via the 'sendmail' command. If set to 'notification-system', a notification will be sent via PVE's notification system, and the mailto and mailnotification will be ignored. If set to 'auto' (default setting), an email will be sent if mailto is set, and the notification system will be used if not. — default "auto"
pbs-change-detection-modelegacy | data | metadataPBS mode used to detect file changes and switch encoding format for container backups.
performancestringOther performance-related settings. — format backup-performance
pigznumberUse pigz instead of gzip when N>0. N=1 uses half of cores, N>1 uses N as thread count. — default 0
poolstringBackup all known guest systems included in the specified pool.
protectedbooleanIf true, mark backup(s) as protected.
prune-backupsstringUse these retention options instead of those from the storage configuration. — format prune-backups, default "keep-all=1"
quietbooleanBe quiet. — default 0
removebooleanPrune older backups according to 'prune-backups'. — default 1
repeat-missedbooleanIf true, the job will be run as soon as possible if it was missed while the scheduler was not running. — default 0
schedulestringBackup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars
scriptstringUse specified hook script.
starttimestringDeprecated: Use 'schedule' instead. Job Start time. 'starttime' and 'dow' will be converted into 'schedule' if used.
stdexcludesbooleanExclude temporary files and logs. — default 1
stopbooleanStop running backup jobs on this host. — default 0
stopwaitnumberMaximal time to wait until a guest system is stopped (minutes). — min 0, default 10
storagestringStore resulting file to this storage. — format pve-storage-id
tmpdirstringStore temporary files to specified directory.
vmidstringThe ID of the guest system you want to backup. — format pve-vmid-list
zstdnumberZstd threads. N=0 uses half of the available cores, if N is set to a value bigger than 0, N is used as thread count. — default 1

GET /cluster/backup/{id} ​

ts
proxmox.cluster.backup.$(id).$get()

Read vzdump backup job definition.

Returns object.

ParameterTypeRequiredNotes
idstringyesThe job ID. — ≤ 50 chars

PUT /cluster/backup/{id} ​

ts
proxmox.cluster.backup.$(id).$put()

Update vzdump backup job definition.

Returns nothing.

ParameterTypeRequiredNotes
allbooleanBackup all known guest systems on this host. — default 0
bwlimitnumberLimit I/O bandwidth (in KiB/s). — min 0, default 0
commentstringDescription for the Job. — ≤ 512 chars
compress0 | 1 | gzip | lzo | zstdCompress dump file. — default "0"
deletestringA list of settings you want to delete. — format pve-configid-list
dowstringDeprecated: Use 'schedule' instead. Day of week selection. 'starttime' and 'dow' will be converted into 'schedule' if used. — format pve-day-of-week-list
dumpdirstringStore resulting files to specified directory.
enabledbooleanEnable or disable the job. — default "1"
excludestringExclude specified guest systems (assumes --all) — format pve-vmid-list
exclude-pathstring[]Exclude certain files/directories (shell globs). Paths starting with '/' are anchored to the container's root, other paths match relative to each subdirectory.
fleecingstringOptions for backup fleecing (VM only). — format backup-fleecing
idstringyesThe job ID. — ≤ 50 chars
ionicenumberSet IO priority when using the BFQ scheduler. For snapshot and suspend mode backups of VMs, this only affects the compressor. A value of 8 means the idle priority is used, otherwise the best-effort priority is used with the specified value. — min 0, max 8, default 7
lockwaitnumberMaximal time to wait for the global lock (minutes). — min 0, default 180
mailnotificationalways | failureDeprecated: use notification targets/matchers instead. Specify when to send a notification mail — default "always"
mailtostringDeprecated: Use notification targets/matchers instead. Comma-separated list of email addresses or users that should receive email notifications. — format email-or-username-list
modesnapshot | suspend | stopBackup mode. — default "snapshot"
nodestringOnly run if executed on this node. — format pve-node
notes-templatestringTemplate string for generating notes for the backup(s). It can contain variables which will be replaced by their values. Currently supported are {{cluster}}, {{guestname}}, {{node}}, and {{vmid}}, but more might be added in the future. Needs to be a single line, newline and backslash need to be escaped as '\n' and '\' respectively. — ≤ 1024 chars
notification-modeauto | legacy-sendmail | notification-systemDetermine which notification system to use. If set to 'legacy-sendmail', vzdump will consider the mailto/mailnotification parameters and send emails to the specified address(es) via the 'sendmail' command. If set to 'notification-system', a notification will be sent via PVE's notification system, and the mailto and mailnotification will be ignored. If set to 'auto' (default setting), an email will be sent if mailto is set, and the notification system will be used if not. — default "auto"
pbs-change-detection-modelegacy | data | metadataPBS mode used to detect file changes and switch encoding format for container backups.
performancestringOther performance-related settings. — format backup-performance
pigznumberUse pigz instead of gzip when N>0. N=1 uses half of cores, N>1 uses N as thread count. — default 0
poolstringBackup all known guest systems included in the specified pool.
protectedbooleanIf true, mark backup(s) as protected.
prune-backupsstringUse these retention options instead of those from the storage configuration. — format prune-backups, default "keep-all=1"
quietbooleanBe quiet. — default 0
removebooleanPrune older backups according to 'prune-backups'. — default 1
repeat-missedbooleanIf true, the job will be run as soon as possible if it was missed while the scheduler was not running. — default 0
schedulestringBackup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars
scriptstringUse specified hook script.
starttimestringDeprecated: Use 'schedule' instead. Job Start time. 'starttime' and 'dow' will be converted into 'schedule' if used.
stdexcludesbooleanExclude temporary files and logs. — default 1
stopbooleanStop running backup jobs on this host. — default 0
stopwaitnumberMaximal time to wait until a guest system is stopped (minutes). — min 0, default 10
storagestringStore resulting file to this storage. — format pve-storage-id
tmpdirstringStore temporary files to specified directory.
vmidstringThe ID of the guest system you want to backup. — format pve-vmid-list
zstdnumberZstd threads. N=0 uses half of the available cores, if N is set to a value bigger than 0, N is used as thread count. — default 1

DELETE /cluster/backup/{id} ​

ts
proxmox.cluster.backup.$(id).$delete()

Delete vzdump backup job definition.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesThe job ID. — ≤ 50 chars

GET /cluster/backup/{id}/included_volumes ​

ts
proxmox.cluster.backup.$(id).included_volumes.$get()

Returns included guests and the backup status of their disks. Optimized to be used in ExtJS tree views.

Returns object.

ParameterTypeRequiredNotes
idstringyesThe job ID. — ≤ 50 chars